/******************************************************************************************
	CRTEST PS   (c) 1999-2001 ISL

	startup.h:			Startup stuff
******************************************************************************************/

#ifndef _STARTUP_H_
#define _STARTUP_H_

// called from the memory card checker
void startupContinue();	// (from language screen, which has called startupload already)

extern char *backdrop_names[];	// the TIM names
/*
// Moved to card.h, where the original defines were
extern int INIT_DOGCHASE_BEST;
extern int INIT_COGCHASE_BEST;
extern int INIT_ACT1_BEST;
extern int INIT_ACT2_BEST;
extern int INIT_ACT3_BEST;
*/
extern int palMode, FRAMESEC;

int startupCheckForEndOfGingerAnim(void);
int startupLightOverGinger(void);
int startupLightOverRocky(void);
void startupMoveActors(void);
void startupLoad();
void startupStart(void);
void startupCycle();

void startupFreeStart();
void startupFreeLoad();

void startupEndStart(void);
void startupEndLoad(void);
extern TextureType *plank;

void SwimCheatReset();
int SwimCheatCycle();

#ifdef DREAMCAST
extern int titleScreen;
#endif

extern TextureType *plank;
extern TextureBankType *bd;


#endif
